> ## Documentation Index
> Fetch the complete documentation index at: https://support.i.moneyforward.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List integration logs

> Retrieve a paginated list of integration logs for the organization.



## OpenAPI

````yaml https://api.itmc.i.moneyforward.com/public-api/docs/v1-json get /api/v1/organizations/{organizationId}/integration-logs
openapi: 3.0.0
info:
  title: Admina Public API
  description: >-
    Admina API is a RESTfull API providing programmatic access to much of the
    data in the system. It provides predictable URLs for accessing resources,
    and uses built-in HTTP features to receive commands and return responses.
    This makes it easy to communicate with from a wide variety of environments,
    from command-line utilities to gadgets to the browser URL bar itself.
  version: '1.0'
  contact: {}
servers:
  - url: https://api.itmc.i.moneyforward.com
security: []
tags:
  - name: Organizations
    description: ''
  - name: Users
    description: ''
  - name: Directory
    description: ''
  - name: Departments
    description: ''
  - name: Locations
    description: ''
  - name: Companies
    description: ''
  - name: People
    description: ''
  - name: Workspaces
    description: ''
  - name: Custom Service and Workspace
    description: ''
  - name: Workspace Accounts
    description: ''
  - name: Accounts
    description: ''
  - name: Contracts
    description: ''
  - name: Devices
    description: ''
  - name: Devices (alpha)
    description: ''
  - name: Alerts
    description: ''
  - name: Spends
    description: ''
  - name: Usage Optimization
    description: ''
  - name: Services
    description: ''
  - name: Requests
    description: ''
  - name: AuditLogs
    description: ''
  - name: EventLogs
    description: ''
paths:
  /api/v1/organizations/{organizationId}/integration-logs:
    get:
      tags:
        - Integration Logs
      summary: List integration logs
      description: Retrieve a paginated list of integration logs for the organization.
      operationId: publicGetIntegrationLogs
      parameters:
        - name: organizationId
          required: true
          in: path
          schema:
            type: number
        - name: startDate
          required: false
          in: query
          schema:
            example: 1644399011
            type: number
        - name: endDate
          required: false
          in: query
          schema:
            example: 1644399011
            type: number
        - name: serviceNameOrWorkspaceName
          required: false
          in: query
          schema:
            example: GitHub/Mfi
            type: string
        - name: result
          required: false
          in: query
          schema:
            example: success
            type: string
            enum:
              - success
              - failed
        - name: action
          required: false
          in: query
          schema:
            example: aggregateAll
            type: string
            enum:
              - aggregateAll
              - invite
              - create
              - update
              - delete
              - deactivate
              - removeFilePermissions
              - deleteWorkspace
              - syncOneFile
              - createRole
              - createDevice
        - name: requester
          required: false
          in: query
          schema:
            example: nguyen.tri.minh@moneyforward.co.jp
            type: string
        - name: requesterType
          required: false
          in: query
          schema:
            example: system
            type: string
            enum:
              - system
              - user
        - name: limit
          required: false
          in: query
          schema:
            example: 50
            type: number
        - name: cursor
          required: false
          in: query
          schema:
            example: cmFuZG9tS2V5OnJhbmRvbUtleQ
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicGetIntegrationLogsResponseDto'
      security:
        - API-Key: []
components:
  schemas:
    PublicGetIntegrationLogsResponseDto:
      type: object
      properties:
        items:
          readOnly: true
          type: array
          items:
            $ref: '#/components/schemas/PublicIntegrationLogDto'
        meta:
          nullable: true
          readOnly: true
          type: object
          allOf:
            - $ref: '#/components/schemas/OnlyNextCursorMeta'
      required:
        - items
        - meta
    PublicIntegrationLogDto:
      type: object
      properties:
        workspaceId:
          type: number
          readOnly: true
          example: 123
        serviceId:
          type: number
          readOnly: true
          example: 123
        action:
          readOnly: true
          example: aggregateAll
          allOf:
            - $ref: '#/components/schemas/IntegrationLogActionType'
        result:
          readOnly: true
          example: success
          allOf:
            - $ref: '#/components/schemas/IntegrationLogResult'
        message:
          type: string
          readOnly: true
          example: success
        endedAt:
          type: string
          readOnly: true
          example: '1642136056'
        requester:
          type: string
          readOnly: true
          example: user@example.com
        workspaceName:
          type: string
          readOnly: true
          example: moneyforward
        serviceName:
          type: string
          readOnly: true
          example: GitHub
        item:
          type: string
          readOnly: true
          example: user@example.com
        requesterType:
          readOnly: true
          example: user
          allOf:
            - $ref: '#/components/schemas/IntegrationLogRequesterType'
      required:
        - workspaceId
        - serviceId
        - action
        - result
        - message
        - endedAt
        - requester
        - workspaceName
        - serviceName
        - item
        - requesterType
    OnlyNextCursorMeta:
      type: object
      properties:
        nextCursor:
          type: string
          nullable: true
          readOnly: true
          example: F3UdkoSbpBNrjwP93AX2HQ
      required:
        - nextCursor
    IntegrationLogActionType:
      type: string
      enum:
        - aggregateAll
        - invite
        - create
        - update
        - delete
        - deactivate
        - removeFilePermissions
        - deleteWorkspace
        - syncOneFile
        - createRole
        - createDevice
    IntegrationLogResult:
      type: string
      enum:
        - success
        - failed
    IntegrationLogRequesterType:
      type: string
      enum:
        - system
        - user
  securitySchemes:
    API-Key:
      scheme: bearer
      bearerFormat: JWT
      type: http
      description: >-
        For authenticated requests, set the `Authorization: Bearer your_api_key`
        parameter in the header. <br/>You can create and manage your API Keys by
        visiting the **API Keys** tab in the **Settings** page of your
        organization in <a target='_blank'
        href='https://itmc.i.moneyforward.com/'>Admina</a>

````